Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class PublicObjectDefinition

    java.lang.Object
      oracle.ifs.beans.LibraryObjectDefinition
          oracle.ifs.beans.PublicObjectDefinition

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

Direct Known Subclasses:
  AccessControlListDefinition, ApplicationObjectDefinition, CategoryDefinition, DirectoryObjectDefinition, DocumentDefinition, FamilyDefinition, FolderDefinition, LinkDefinition, LockEntryDefinition, SearchObjectDefinition, SelectorObjectDefinition, UserProfileDefinition, VersionDescriptionDefinition, VersionSeriesDefinition

    public class PublicObjectDefinition

extends LibraryObjectDefinition

The PublicObjectDefinition class is the abstract superclass of all public object definition classes. It is used to aid in the construction of PublicObjects by providing methods to set special properties common to all PublicObjects, such as Category, initial folder and securing public object.

See Also:
  Serialized Form
(Published)

Field Summary

Fields inherited from class oracle.ifs.beans.LibraryObjectDefinition
`m_Attributes, m_ClassObjectName, m_ClassObjectValue, m_ContentSpecifications, m_DefinitionLists, m_Definitions, m_EnclosedDefinition, m_Id, m_Options, m_ReadOnly, m_ReferenceAttributes, m_Session, m_SystemOptions`

Constructor Summary
`PublicObjectDefinition(LibrarySessionInterface session)` Construct a definition explicitly capturing the session.
`PublicObjectDefinition(LibrarySessionInterface session, java.lang.String className)` Construct a definition, explicitly capturing the session and setting the initial classobject.

Method Summary
`void` | `addCategoryDefinition(CategoryDefinition def)` Adds a new Category Definition to the new PublicObject.
`void` | `addCategoryDefinitions(CategoryDefinition[] defs)` Adds a set of new Category Definition to the new PublicObject.
`AttributeValue` | `getAddToFolderOption()` Deprecated. CM SDK 10gR2: use getAddToFolderValue()
`AttributeValue` | `getAddToFolderValue()` returns the Add To Folder Option for the new PublicObject.
`AutoFolderingActionSpecification` | `getAutoFolderingActionSpecification()` Gets the option indicating the auto-foldering action specification, used in document creation operations.
`boolean` | `getCascadeCopyRelationshipsOption()` Return the value of the CascadeCopyRelationships option.
`AttributeValue` | `getCascadeCopyRelationshipsOptionValue()` Return the value of the CascadeCopyRelationships option.
`boolean` | `getCategoryCopyOption()` Return the CopyCategories copy Option.
`CategoryDefinition[]` | `getCategoryDefinitions()` returns all the CategoryDefinitions for this PO Definition Return an empty array if no Category definitions exist
`AttributeValue` | `getContentQuotaCopyOption()` returns the ContentQuota copy Option.
`boolean` | `getCreateCategoriesServerSideOption()` Return true if the CreateCategoriesServerSideOption has been set.
`boolean` | `getExplicitCreateAndModifyAttributesOption()` Return true if the ExplicitCreateAndModifyAttributesOption has been set.
`java.util.Date` | `getExplicitCreateDate()` returns any explicitly specified CreateDate, if specified via the setExplicitCreateDateOption() method.
`java.util.Date` | `getExplicitLastModifyDate()` returns any explicitly specified LastModifydate, if specified via the setExplicitLastModifyDate() method.
`boolean` | `getFreeIfLastFolderReferenceOption()` return true if the FreeIfLastFolderReferenceOption has been set.
`boolean` | `getKeepLastModifierOption()` return the indication as to whether the last modifier should remain unchanged as part of an update operation.
`boolean` | `getKeepLastModifyDateOption()` return the indication as to whether the last modification date should remain unchanged as part of an update operation.
`LockEntryDefinition` | `getLockEntryDefinition()` Gets the LockEntry definition describing the type of lock to be created after the PublicObject is created, set previously via `setLockEntryDefinition`
`LockObject` | `getLockObject()` Deprecated. CM SDK 10gR2: use getLockObjectValue()
`LockObjectDefinition` | `getLockObjectDefinition()` get the LockObject Definition set on this PO
`AttributeValue` | `getLockObjectValue()` get the LockObject to be set on this PO
`PublicObject` | `getSecuringPublicObject()` Deprecated. CM SDK 10gR2: use getSecuringPublicObjectValue()
`AttributeValue` | `getSecuringPublicObjectValue()` returns the object responsible for providing security settings for the target object.
`LockObjectDefinition` | `getUpdatedLockObjectDefinition()` get the LockObject Definition to be set on this PO to update its lockobject directly.
`void` | `removeCategoryDefinitions()` Removes all CategoryDefinition specifications from this instance.
`void` | `removeLockEntryDefinition()` Removes the lockEntryDefinition specification from this instance.
`void` | `setAddToFolderOption(Folder folder)` set the Add To Folder Option for the new PublicObject.
`void` | `setAddToFolderValue(AttributeValue av)` set the Add To Folder Option for the new PublicObject.
`void` | `setAutoFolderingActionSpecification(AutoFolderingActionSpecification value)` Sets the option indicating the auto-foldering action specification, used in document creation operations.
`void` | `setAutoFolderingActionSpecification(java.lang.String specName)` Sets the option indicating the auto-foldering action specification, used in document creation operations, where the specification name is specified.
`void` | `setCascadeCopyRelationshipsOption(boolean option)` Set or clear the option that indicates that relationships should be copied.
`void` | `setCategoryCopyOption(boolean shouldCopy)` set the CopyCategories copy Option.
`void` | `setCategoryDefinitions(CategoryDefinition[] defs)` Defines a set of new Category Definition to the new PublicObject.
`void` | `setContentQuotaCopyOption(AttributeValue quota)` set the ContentQuota copy Option.
`void` | `setCreateCategoriesServerSideOption(boolean option)` Set or clear the option that indicates that categories should be created from within S_PublicObject.
`void` | `setExplicitCreateAndModifyAttributesOption(boolean option)` Set or clear the option that indicates that create and modify attributes are set explicitly in the definition.
`void` | `setExplicitCreateDate(java.util.Date createDate)` sets an explicit CreateDate.
`void` | `setExplicitLastModifyDate(java.util.Date modDate)` sets an explicit LastModifydate.
`void` | `setFreeIfLastFolderReferenceOption(boolean option)` set or clear the option to free an object if it has no Folder references after it is explicitly removed from the last Folder.
`void` | `setKeepLastModifierOption(boolean option)` set or clear the indication to keep the last modifier unchanged as part of an update operation.
`void` | `setKeepLastModifyDateOption(boolean option)` set or clear the indication to keep the last modification unchanged as part of an update operation.
`void` | `setLockEntryDefinition(LockEntryDefinition def)` Sets the LockEntry definition describing the type of lock to be created after the PublicObject is created.
`void` | `setLockObject(LockObject lobj)` set the LockObject directly on the PO to an existing lockobject this allows for sharing of lockobject's
`void` | `setLockObjectDefinition(LockObjectDefinition ldef)` set the LockObject Definition to be used for the PO setting this will always construct a new lockobject for the PO.
`void` | `setLockObjectValue(AttributeValue lobj)` set the LockObject directly on the PO to an existing lockobject this allows for sharing of lockobject's
`void` | `setNullSecurity()` Set a null ACL and the SYSTEM user as the owner.
`void` | `setPrivateSecurity()` Sets private security and the SYSTEM user as the owner.
`void` | `setSecuringPublicObject(PublicObject obj)` set the object responsible for providing security settings for the target object.
`void` | `setSecuringPublicObjectValue(AttributeValue av)` set the object responsible for providing security settings for the target object.
`void` | `setUpdatedLockObjectDefinition(LockObjectDefinition ldef)` set the LockObject Definition to be used for updating the lockobject of this PO.
`static PublicObjectDefinition` | `toPublicObjectDefinition(LibraryObjectDefinition lodef)` Cast specified LibraryObjectDefinition to a PublicObjectDefinition.
`static PublicObjectDefinition` | `toPublicObjectDefinition(LibraryObjectDefinition lodef, boolean enforceCompat)` Cast specified LibraryObjectDefinition to a PublicObjectDefinition.

Methods inherited from class oracle.ifs.beans.LibraryObjectDefinition
`addDefinition, addDefinitions, addProperty, addPropertyDefinition, addPropertyDefinitions, captureSession, captureSession, captureSession, clone, constructInstance, constructInstance, copyInto, getAttribute, getAttribute, getAttributes, getAttributes, getAttributesSorted, getClassId, getClassObject, getClassObjectValue, getContentSpecification, getContentSpecificationKeys, getCopiedObjectValue, getDefinition, getDefinitionClassName, getDefinitionKeys, getDefinitionListKeys, getDefinitions, getId, getLibrarySession, getName, getOption, getOptionAsAttributeValue, getOptionKeys, getPolicyMode, getPropertyDefinitions, getReferenceAttribute, getReferenceAttributes, getServerDefinition, getSession, getSLibrarySession, getStringAttribute, getSystemOption, getSystemOptionAsAttributeValue, getSystemOptionAsBoolean, getSystemOptionKeys, getWriteableInstance, isReadOnly, prepareForDefinitionObject, removeAttribute, removeContentSpecification, removeDefinition, removeDefinitions, removeOption, removePropertyDefinitions, removeReferenceAttribute, removeSystemOption, reset, resolve, setAttribute, setAttribute, setAttribute, setAttributeByUpperCaseName, setAttributeByUpperCaseName, setAttributePolicyMode, setAttributes, setClassId, setClassname, setClassObject, setClassObjectValue, setContentSpecification, setCopiedObjectValue, setDefinition, setDefinitions, setId, setName, setOption, setReadOnly, setReferenceAttribute, setReferenceAttribute, setSession, setSystemOption, unresolve, verifySession`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PublicObjectDefinition

    public PublicObjectDefinition(LibrarySessionInterface session)
                           throws IfsException

  Construct a definition explicitly capturing the session. The initial ClassObject will be PublicObject.

  Parameters:
    `session` - the current session
  Throws:
    `IfsException` - if the operation fails
  (Published)

### PublicObjectDefinition

    public PublicObjectDefinition(LibrarySessionInterface session,
                                  java.lang.String className)
                           throws IfsException

  Construct a definition, explicitly capturing the session and setting the initial classobject.

  Parameters:
    `session` - the current session
    `className` - the initial class name
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Method Detail

### addCategoryDefinition

    public void addCategoryDefinition(CategoryDefinition def)
                               throws IfsException

  Description copied from class: `PublicObjectDefinition`
  Adds a new Category Definition to the new PublicObject.

  Parameters:
    `def` - the Category definition for the new Category.
  Throws:
    `IfsException`
  (Published)

### addCategoryDefinitions

    public void addCategoryDefinitions(CategoryDefinition[] defs)
                                throws IfsException

  Description copied from class: `PublicObjectDefinition`
  Adds a set of new Category Definition to the new PublicObject. All specified CategoryDefinitions will be added to the current set of definitions held by this instance.

  Parameters:
    `defs` - the Category definitions to be added for this instance
  Throws:
    `IfsException`
  (Unpublished)

### setCategoryDefinitions

    public void setCategoryDefinitions(CategoryDefinition[] defs)
                                throws IfsException

  Description copied from class: `PublicObjectDefinition`
  Defines a set of new Category Definition to the new PublicObject. All previously specified CategoryDefinitions will be removed, prior to adding this set to the instance.

  Parameters:
    `defs` - the Category definitions for the new Category.
  Throws:
    `IfsException`
  (Unpublished)

### removeCategoryDefinitions

    public void removeCategoryDefinitions()
                                   throws IfsException

  Description copied from class: `PublicObjectDefinition`
  Removes all CategoryDefinition specifications from this instance.

  Throws:
    `IfsException`
  (Unpublished)

### getCategoryDefinitions

    public CategoryDefinition[] getCategoryDefinitions()
                                                throws IfsException

  Description copied from class: `PublicObjectDefinition`
  returns all the CategoryDefinitions for this PO Definition Return an empty array if no Category definitions exist

  Returns:
    CategoryDefinitions for this PO Definition
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setExplicitCreateAndModifyAttributesOption

    public void setExplicitCreateAndModifyAttributesOption(boolean option)
                                                    throws IfsException

  Description copied from class: `PublicObjectDefinition`
  Set or clear the option that indicates that create and modify attributes are set explicitly in the definition.

  Parameters:
    `option` - true if the option is selected.
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### getExplicitCreateAndModifyAttributesOption

    public boolean getExplicitCreateAndModifyAttributesOption()
                                                       throws IfsException

  Description copied from class: `PublicObjectDefinition`
  Return true if the ExplicitCreateAndModifyAttributesOption has been set.

  Returns:
    true if the ExplicitCreateAndModifyAttributesOption has been set, false otherwise. Returns false if the option wasn't set at all.
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### setKeepLastModifyDateOption

    public void setKeepLastModifyDateOption(boolean option)
                                     throws IfsException

  Description copied from class: `PublicObjectDefinition`
  set or clear the indication to keep the last modification unchanged as part of an update operation. This method only has an effect when the target PublicObjectDefiniion is used in an update() operation.

  Parameters:
    `option` - true if the LastModifydate is to remain unchanged after the update is applied.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getKeepLastModifyDateOption

    public boolean getKeepLastModifyDateOption()
                                        throws IfsException

  Description copied from class: `PublicObjectDefinition`
  return the indication as to whether the last modification date should remain unchanged as part of an update operation.

  Returns:
    true if the LastModifydate is to remain unchanged after the update is applied.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### setKeepLastModifierOption

    public void setKeepLastModifierOption(boolean option)
                                   throws IfsException

  Description copied from class: `PublicObjectDefinition`
  set or clear the indication to keep the last modifier unchanged as part of an update operation. This method only has an effect when the target PublicObjectDefiniion is used in an update() operation.

  Parameters:
    `option` - true if the LastModifier is to remain unchanged after the update is applied.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getKeepLastModifierOption

    public boolean getKeepLastModifierOption()
                                      throws IfsException

  Description copied from class: `PublicObjectDefinition`
  return the indication as to whether the last modifier should remain unchanged as part of an update operation.

  Returns:
    true if the LastModifier is to remain unchanged after the update is applied.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### setExplicitCreateDate

    public void setExplicitCreateDate(java.util.Date createDate)
                               throws IfsException

  Description copied from class: `PublicObjectDefinition`
  sets an explicit CreateDate. If null is specified, any previously specified date is cleared.

  Parameters:
    `createDate` - the Create Date.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getExplicitCreateDate

    public java.util.Date getExplicitCreateDate()
                                         throws IfsException

  Description copied from class: `PublicObjectDefinition`
  returns any explicitly specified CreateDate, if specified via the setExplicitCreateDateOption() method.

  Returns:
    any explicitly specified CreateDate, or null if not specified.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### setExplicitLastModifyDate

    public void setExplicitLastModifyDate(java.util.Date modDate)
                                   throws IfsException

  Description copied from class: `PublicObjectDefinition`
  sets an explicit LastModifydate. If null is specified, any previously specified date is cleared.

  Parameters:
    `modDate` - the Last Modification Date.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getExplicitLastModifyDate

    public java.util.Date getExplicitLastModifyDate()
                                             throws IfsException

  Description copied from class: `PublicObjectDefinition`
  returns any explicitly specified LastModifydate, if specified via the setExplicitLastModifyDate() method.

  Returns:
    any explicitly specified LastModifyDate, or null if not specified.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### setFreeIfLastFolderReferenceOption

    public void setFreeIfLastFolderReferenceOption(boolean option)
                                            throws IfsException

  Description copied from class: `PublicObjectDefinition`
  set or clear the option to free an object if it has no Folder references after it is explicitly removed from the last Folder.

  Parameters:
    `option` - true if the option is selected.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getFreeIfLastFolderReferenceOption

    public boolean getFreeIfLastFolderReferenceOption()
                                               throws IfsException

  Description copied from class: `PublicObjectDefinition`
  return true if the FreeIfLastFolderReferenceOption has been set.

  Returns:
    true if the FreeIfLastFolderReferenceOption has been set.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### setCreateCategoriesServerSideOption

    public void setCreateCategoriesServerSideOption(boolean option)
                                             throws IfsException

  Description copied from class: `PublicObjectDefinition`
  Set or clear the option that indicates that categories should be created from within S_PublicObject.

  Parameters:
    `option` - true if the option is selected.
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### getCreateCategoriesServerSideOption

    public boolean getCreateCategoriesServerSideOption()
                                                throws IfsException

  Description copied from class: `PublicObjectDefinition`
  Return true if the CreateCategoriesServerSideOption has been set.

  Returns:
    true if the CreateCategoriesServerSideOption has been set. Also return true if the option was not set at all.
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### setCascadeCopyRelationshipsOption

    public void setCascadeCopyRelationshipsOption(boolean option)
                                           throws IfsException

  Description copied from class: `PublicObjectDefinition`
  Set or clear the option that indicates that relationships should be copied.

  Parameters:
    `option` - true if the option is selected.
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### getCascadeCopyRelationshipsOption

    public boolean getCascadeCopyRelationshipsOption()
                                              throws IfsException

  Description copied from class: `PublicObjectDefinition`
  Return the value of the CascadeCopyRelationships option.

  If the option has not been set, return true (the historical default).

  Returns:
    the value of the CascadeCopyRelationships option; return true if not set
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### getCascadeCopyRelationshipsOptionValue

    public AttributeValue getCascadeCopyRelationshipsOptionValue()
                                                          throws IfsException

  Description copied from class: `PublicObjectDefinition`
  Return the value of the CascadeCopyRelationships option.

  Return null if the option has not been set.

  Returns:
    the value of the CascadeCopyRelationships option, or null if not set
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### setLockObjectDefinition

    public void setLockObjectDefinition(LockObjectDefinition ldef)
                                 throws IfsException

  Description copied from class: `PublicObjectDefinition`
  set the LockObject Definition to be used for the PO setting this will always construct a new lockobject for the PO. To update an existing lockobject use the setUpdatedLockObjectDefinition() function

  Parameters:
    `ldef` - The LockObjectDefinition for the new lock
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getLockObjectDefinition

    public LockObjectDefinition getLockObjectDefinition()
                                                 throws IfsException

  Description copied from class: `PublicObjectDefinition`
  get the LockObject Definition set on this PO

  Returns:
    the LockObject Definition that defines the lock on this PO
  Throws:
    `IfsException`
  (Unpublished)

### setUpdatedLockObjectDefinition

    public void setUpdatedLockObjectDefinition(LockObjectDefinition ldef)
                                        throws IfsException

  Description copied from class: `PublicObjectDefinition`
  set the LockObject Definition to be used for updating the lockobject of this PO. The only attribute that can be updated out-of-the-box is the LOCKTIMEOUT

  Parameters:
    `ldef` - The LockObjectDefinition with the attributes to be updated
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getUpdatedLockObjectDefinition

    public LockObjectDefinition getUpdatedLockObjectDefinition()
                                                        throws IfsException

  Description copied from class: `PublicObjectDefinition`
  get the LockObject Definition to be set on this PO to update its lockobject directly.

  Returns:
    LockObjectDefinition
  Throws:
    `IfsException`
  (Unpublished)

### setLockObject

    public void setLockObject(LockObject lobj)
                       throws IfsException

  Description copied from class: `PublicObjectDefinition`
  set the LockObject directly on the PO to an existing lockobject this allows for sharing of lockobject's

  Parameters:
    `lobj` - The LockObject to be shared
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### setLockObjectValue

    public void setLockObjectValue(AttributeValue lobj)
                            throws IfsException

  Description copied from class: `PublicObjectDefinition`
  set the LockObject directly on the PO to an existing lockobject this allows for sharing of lockobject's

  Parameters:
    `lobj` - The LockObject value to be shared
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getLockObject

    public LockObject getLockObject()
                             throws IfsException

  Deprecated. CM SDK 10gR2: use getLockObjectValue()

  Description copied from class: `PublicObjectDefinition`
  get the LockObject to be set on this PO

  Returns:
    the LockObject to be set on this PO
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getLockObjectValue

    public AttributeValue getLockObjectValue()
                                      throws IfsException

  Description copied from class: `PublicObjectDefinition`
  get the LockObject to be set on this PO

  Returns:
    the LockObject value to be set on this PO
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### setSecuringPublicObject

    public void setSecuringPublicObject(PublicObject obj)
                                 throws IfsException

  Description copied from class: `PublicObjectDefinition`
  set the object responsible for providing security settings for the target object.

  Parameters:
    `obj` - the object responsible for providing security settings for the target object.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### setSecuringPublicObjectValue

    public void setSecuringPublicObjectValue(AttributeValue av)
                                      throws IfsException

  Description copied from class: `PublicObjectDefinition`
  set the object responsible for providing security settings for the target object.

  Parameters:
    `av` - the object responsible for providing security settings for the target object.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getSecuringPublicObject

    public PublicObject getSecuringPublicObject()
                                         throws IfsException

  Deprecated. CM SDK 10gR2: use getSecuringPublicObjectValue()

  Description copied from class: `PublicObjectDefinition`
  returns the object responsible for providing security settings for the target object. Returns null if none specified.

  Returns:
    the object responsible for providing security settings for the target object.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getSecuringPublicObjectValue

    public AttributeValue getSecuringPublicObjectValue()
                                                throws IfsException

  Description copied from class: `PublicObjectDefinition`
  returns the object responsible for providing security settings for the target object. Returns null if none specified.

  Returns:
    the object responsible for providing security settings for the target object.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### setNullSecurity

    public void setNullSecurity()
                         throws IfsException

  Description copied from class: `PublicObjectDefinition`
  Set a null ACL and the SYSTEM user as the owner.

  Throws:
    `IfsException` - if operation fails.

### setPrivateSecurity

    public void setPrivateSecurity()
                            throws IfsException

  Description copied from class: `PublicObjectDefinition`
  Sets private security and the SYSTEM user as the owner.

  Throws:
    `IfsException` - if operation fails.

### setAddToFolderOption

    public void setAddToFolderOption(Folder folder)
                              throws IfsException

  Description copied from class: `PublicObjectDefinition`
  set the Add To Folder Option for the new PublicObject.

  Parameters:
    `folder` - the Folder in which to add the new object.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### setAddToFolderValue

    public void setAddToFolderValue(AttributeValue av)
                             throws IfsException

  Description copied from class: `PublicObjectDefinition`
  set the Add To Folder Option for the new PublicObject.

  Parameters:
    `av` - the value representing the Folder in which to add the new object.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getAddToFolderOption

    public AttributeValue getAddToFolderOption()
                                        throws IfsException

  Deprecated. CM SDK 10gR2: use getAddToFolderValue()

  Description copied from class: `PublicObjectDefinition`
  returns the Add To Folder Option for the new PublicObject. Returns null if none specified.

  Returns:
    AttributeValue that contains the Folder on which to add the new object, or null if no folder option specified.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getAddToFolderValue

    public AttributeValue getAddToFolderValue()
                                       throws IfsException

  Description copied from class: `PublicObjectDefinition`
  returns the Add To Folder Option for the new PublicObject. Returns null if none specified.

  Returns:
    AttributeValue that contains the Folder on which to add the new object, or null if no folder option specified.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### setAutoFolderingActionSpecification

    public void setAutoFolderingActionSpecification(AutoFolderingActionSpecification value)
                                             throws IfsException

  Description copied from class: `PublicObjectDefinition`
  Sets the option indicating the auto-foldering action specification, used in document creation operations.

  If a null value is specified, the option is removed from the specified definition.

  Parameters:
    `value` - the value of the option
  Throws:
    `IfsException` - if the operation fails

### setAutoFolderingActionSpecification

    public void setAutoFolderingActionSpecification(java.lang.String specName)
                                             throws IfsException

  Description copied from class: `PublicObjectDefinition`
  Sets the option indicating the auto-foldering action specification, used in document creation operations, where the specification name is specified.

  If there is no AutoFolderingActionSpecification with the specified name, an IfsException is thrown.

  If a null value is specified, the option is removed from the specified definition.

  Parameters:
    `specName` - the name of the AutoFolderingActionSpecification
  Throws:
    `IfsException` - if the operation fails

### getAutoFolderingActionSpecification

    public AutoFolderingActionSpecification getAutoFolderingActionSpecification()
                                                                         throws IfsException

  Description copied from class: `PublicObjectDefinition`
  Gets the option indicating the auto-foldering action specification, used in document creation operations.

  Returns null if the option is not set.

  Returns:
    the option value; return null if the option was not set
  Throws:
    `IfsException` - if the operation fails

### setCategoryCopyOption

    public void setCategoryCopyOption(boolean shouldCopy)
                               throws IfsException

  Description copied from class: `PublicObjectDefinition`
  set the CopyCategories copy Option.

  Parameters:
    `shouldCopy` - true if Category object should be copied as part of copying a PublicObject (the default); false otherwise
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### setContentQuotaCopyOption

    public void setContentQuotaCopyOption(AttributeValue quota)
                                   throws IfsException

  Description copied from class: `PublicObjectDefinition`
  set the ContentQuota copy Option.

  Parameters:
    `quota` - the AttributeValue containing the ContentQuota that should be used for all new Documents created as result of a cascaded copy operation.
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### getContentQuotaCopyOption

    public AttributeValue getContentQuotaCopyOption()
                                             throws IfsException

  Description copied from class: `PublicObjectDefinition`
  returns the ContentQuota copy Option.

  Returns:
    the AttributeValue that contains the ContentQuota that should be used for all new Documents created as result of a cascaded copy option
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getCategoryCopyOption

    public boolean getCategoryCopyOption()
                                  throws IfsException

  Description copied from class: `PublicObjectDefinition`
  Return the CopyCategories copy Option. If the option is not explicitly set, this method returns true.

  Returns:
    the CopyCategory copy option.
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### setLockEntryDefinition

    public void setLockEntryDefinition(LockEntryDefinition def)
                                throws IfsException

  Description copied from class: `PublicObjectDefinition`
  Sets the LockEntry definition describing the type of lock to be created after the PublicObject is created.

  Parameters:
    `def` - definition of the LockEntry
  Throws:
    `IfsException` - other: if the operation fails
  (Unpublished)

### getLockEntryDefinition

    public LockEntryDefinition getLockEntryDefinition()
                                               throws IfsException

  Description copied from class: `PublicObjectDefinition`
  Gets the LockEntry definition describing the type of lock to be created after the PublicObject is created, set previously via `setLockEntryDefinition`

  Returns:
    definition of the LockEntryDefinition
  Throws:
    `IfsException` - other: if the operation fails
  (Unpublished)

### removeLockEntryDefinition

    public void removeLockEntryDefinition()
                                   throws IfsException

  Description copied from class: `PublicObjectDefinition`
  Removes the lockEntryDefinition specification from this instance.

  Throws:
    `IfsException` - other: if the operation fails
  (Unpublished)

### toPublicObjectDefinition

    public static PublicObjectDefinition toPublicObjectDefinition(LibraryObjectDefinition lodef)
                                                           throws IfsException

  Description copied from class: `PublicObjectDefinition`
  Cast specified LibraryObjectDefinition to a PublicObjectDefinition.

  Return null if the specified definition is not a PublicObjectDefinition, or if the specified definition is null.

  Parameters:
    `lodef` - the definition to be casted
  Returns:
    a PublicObjectDefinition casted from the specified definition
  Throws:
    `IfsException` - is not currently thrown.
  (Unpublished)

### toPublicObjectDefinition

    public static PublicObjectDefinition toPublicObjectDefinition(LibraryObjectDefinition lodef,
                                                                  boolean enforceCompat)
                                                           throws IfsException

  Description copied from class: `PublicObjectDefinition`
  Cast specified LibraryObjectDefinition to a PublicObjectDefinition.

  Return null if the specified definition is null. If non-null and unable to cast, return null if enforceCompat is false but throw an IfsException if the specified definition is not a PublicObjectDefinition.

  Parameters:
    `lodef` - the definition to be casted
    `enforceCompat` - whether to throw an exception if a non-null definition cannot be cast
  Returns:
    a PublicObjectDefinition casted from the specified definition
  Throws:
    `IfsException` - (IFS-10822) if operation fails.
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD